<?xml version="1.0" encoding="UTF-8"?>

<!--
treasury.xsl
2004-09-12
David Wallace Croft (http://www.croftsoft.com/)
-->

<xsl:stylesheet version="1.0"
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="../xsl/template.xsl" />

<xsl:output method="xml" indent="no" />

<xsl:template match="treasury:items" xmlns:treasury="http://www.lptx.org/denton/treasury">
  <xsl:apply-templates select="document('treasury.xml')/data/record" />
</xsl:template>

<xsl:template match="/data/record">
  <tr>
    <td valign="top" align="right">
      <xsl:apply-templates select="date" />
    </td>
    <td valign="top" align="right">
      <xsl:choose>
        <xsl:when test="num/node()">
          <xsl:apply-templates select="num/node()" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>---</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td valign="top" align="right">
      <xsl:if test="payment/node()">
        <xsl:text>-</xsl:text>
        <xsl:apply-templates select="payment/node()" />
      </xsl:if>
      <xsl:if test="deposit/node()">
        <xsl:apply-templates select="deposit/node()" />
      </xsl:if>
    </td>
    <td valign="top" align="right">
      <xsl:apply-templates select="balance/node()" />
    </td>
    <td valign="top" align="left">
      <xsl:apply-templates select="transaction/node()" />
    </td>
  </tr>
</xsl:template>

<xsl:template match="/data/record/date">
  <xsl:value-of select="substring-after(substring-after(node(),'/'),'/')" />
  <xsl:text>-</xsl:text>
  <xsl:value-of select="format-number(substring-before(node(),'/'),'00')" />
  <xsl:text>-</xsl:text>
  <xsl:value-of
    select="format-number(substring-before(substring-after(node(),'/'),'/'),'00')" />
</xsl:template>

</xsl:stylesheet>
